// This class was generated by the JAXRPC SI, do not edit.
// Contents subject to change without notice.
// JAX-RPC Standard Implementation (1.1.3, Build R2)
// Generated source version: 1.1.3

package info.textgrid.lab.dictionarysearch.client;

import com.sun.xml.rpc.encoding.DeserializationException;
import com.sun.xml.rpc.encoding.SOAPInstanceBuilder;
import com.sun.xml.rpc.util.exception.LocalizableExceptionAdapter;

public class Wbb_WebServiceSoap_wbb_LemmaSearch_RequestStruct_SOAPBuilder
		implements SOAPInstanceBuilder {
	private info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch_RequestStruct _instance;
	private java.lang.String lemma;
	private static final int myLEMMA_INDEX = 0;

	public Wbb_WebServiceSoap_wbb_LemmaSearch_RequestStruct_SOAPBuilder() {
	}

	public void setLemma(java.lang.String lemma) {
		this.lemma = lemma;
	}

	@Override
	public int memberGateType(int memberIndex) {
		switch (memberIndex) {
		case myLEMMA_INDEX:
			return GATES_INITIALIZATION | REQUIRES_CREATION;
		default:
			throw new IllegalArgumentException();
		}
	}

	@Override
	public void construct() {
	}

	@Override
	public void setMember(int index, java.lang.Object memberValue) {
		try {
			switch (index) {
			case myLEMMA_INDEX:
				_instance.setLemma((java.lang.String) memberValue);
				break;
			default:
				throw new java.lang.IllegalArgumentException();
			}
		} catch (java.lang.RuntimeException e) {
			throw e;
		} catch (java.lang.Exception e) {
			throw new DeserializationException(new LocalizableExceptionAdapter(
					e));
		}
	}

	@Override
	public void initialize() {
	}

	@Override
	public void setInstance(java.lang.Object instance) {
		_instance = (info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch_RequestStruct) instance;
	}

	@Override
	public java.lang.Object getInstance() {
		return _instance;
	}
}
